﻿@model VirtualCarGarage.MVC.Models.OrderViewModel;

@{ ViewData["Title"] = "Details"; }
@{ Layout = "~/Views/Shared/_Layout.cshtml"; }

<div class="container mt-3">
    <div class="text-center">
        <h1 class="text-dark font-weight-bolder">Order - Detailed Info</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.OrderId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.OrderDate)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ServiceHistoryId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.ServicesOrdered)
                    </th>
                    <th>
                        Total Price
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => Model.OrderId)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.OrderDate)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.ServiceHistoryId)
                    </td>
                    <td>
                        <div class="dropdown">
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                Service Info
                            </button>
                            <div class="dropdown-menu">
                                @if (Model.ServicesOrdered.Count == 0)
                                {
                    <a class="dropdown-item" href="#">No Services Registered</a>}
                                @if (Model.ServicesOrdered.Count != 0)
                                {
                    @foreach (var item in Model.ServicesOrdered)
                    {
                <a class="dropdown-item" href="#">Service: @item.Name; Price: @item.Price EUR</a>}}

                            </div>
                        </div>
                    </td>
                    <td>
                        @Model.ServicesOrdered.Sum(c=> c.Price) EUR
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>